<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   width="165" height="125" close="closeHandler(event)"
			   creationComplete="creationCompleteHandler(event)"
			   initialize="initializeHandler(event)" title="Divergência por Referência">
	

	
	<fx:Script>
		<![CDATA[
			import flash.net.URLRequest;
			import flash.net.URLVariables;
			
			import mx.collections.ArrayCollection;
			import mx.controls.Alert;
			import mx.core.FlexGlobals;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			
			import br.com.desenv.framework.util.DsvObjectUtil;
			import br.com.desenv.framework.util.IgnReportUtil;
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			
			protected function initializeHandler(event:FlexEvent):void
			{
			}
			
			protected function creationCompleteHandler(event:FlexEvent):void
			{
				ignTextInputReferencia.setFocus();
			}
			
			protected function closeHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function ignTextInputReferencia_focusOutHandler(event:FocusEvent):void
			{
				btnGerarRelatorio.setFocus();
			}
			
			protected function ignTextInputReferencia_keyDownHandler(event:KeyboardEvent):void
			{
				
				if (event.keyCode == Keyboard.ENTER || event.keyCode == Keyboard.NUMPAD_ENTER) 
				{
					btnGerarRelatorio_clickHandler(new MouseEvent(""));
				}
				
			}
			
			protected function btnGerarRelatorio_clickHandler(event:MouseEvent):void
			{
				
				if (ignTextInputReferencia.text == "") 
				{
					Alert.yesLabel = "Sim";
					Alert.noLabel = "Não";
					Alert.show("Deseja realmente gerar o relatório de divergência de todas as referências contadas?", "AVISO", Alert.YES | Alert.NO, this, gerarRelatorio_confirmHandler);
				}
				else 
				{
					gerarRelatorio();
				}
				
			}
			
			private function gerarRelatorio_confirmHandler(event:CloseEvent):void
			{
				
				if (event.detail == Alert.YES) 
				{
					gerarRelatorio();
				}
				
			}
			
			private function gerarRelatorio():void
			{
				var classe:String = "br.com.desenv.nepalign.relatorios.RelatorioBalanco";
				var acaoMethod:String = "gerarRelatorioDivergenciaPorReferencia";
				var urlReq:URLRequest = new URLRequest(FlexGlobals.topLevelApplication.parametrosSistema.getParametro("URL_SERVLET_RELATORIO"));
				var param:URLVariables = new URLVariables();
				
				param.classe = classe;
				param.acao = acaoMethod;
				param.idProduto = ignTextInputReferencia.text;
				param.idEmpresaFisica = "" + FlexGlobals.topLevelApplication.usuarioLogado.empresaPadrao.id;
				
				if (checkOrdenacao.selected) 
				{
					param.ordemPesquisa = "nomeProduto";
				}
				else 
				{
					param.ordemPesquisa = "referencia";
				}
				
				/*urlReq.data = param;
				
				navigateToURL(urlReq, "_blank");*/
				new IgnReportUtil().gerarRelatorioSeguranca(null, "_blank", param);
				ignTextInputReferencia.text = "";
				ignTextInputReferencia.setFocus();
			}
			
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
	</fx:Declarations>
	
	<mx:VBox left="10" top="10" width="100%" height="100%">
		<mx:HBox width="100%" height="100%">
			<mx:Grid width="100%">
				<mx:GridRow width="100%">
					<mx:GridItem verticalAlign="middle">
						<s:HGroup verticalAlign="middle">
							<s:Label text="Referência:" verticalAlign="middle"/>
							<visual:IgnTextInputInteger id="ignTextInputReferencia" width="75" focusOut="ignTextInputReferencia_focusOutHandler(event)" keyDown="ignTextInputReferencia_keyDownHandler(event)"/>
						</s:HGroup>
					</mx:GridItem>
				</mx:GridRow>
				<mx:GridRow width="100%">
					<mx:GridItem horizontalAlign="left">
						<s:CheckBox id="checkOrdenacao" label="Ordenar por Nome?" selected="true"/>
					</mx:GridItem>
				</mx:GridRow>
				<mx:GridRow width="100%">
					<mx:GridItem horizontalAlign="right">
						<s:Button id="btnGerarRelatorio" label="Gerar Relatório" click="btnGerarRelatorio_clickHandler(event)"/>
					</mx:GridItem>
				</mx:GridRow>
			</mx:Grid>
		</mx:HBox>
	</mx:VBox>
</s:TitleWindow>
